<?php

namespace Src\Modules\Auth\Pages\Admin;

use Src\Common\Pages\Page;
use Src\Modules\Auth\Interfaces\Pages\Admin\ILoginForm;

class LoginForm extends Page implements ILoginForm
{
    
    public function getCssStack(): array
    {
        return [
            '<link rel="stylesheet" href="/admin-css/auth-login-form.css">',
        ];
    }

    public function getJsStack(): array
    {
        return [
            '<script src="/admin-js/auth-login-form.js"></script>'
        ];
    }

    public function getJsSettings(): array
    {
        return [
            'requestUrl' => route('admin.auth.loginRequest', [], false),
            'successUrl' => route('admin.jsonObjects.dir', [], false),
        ];
    }

    public function getTitle(): string
    {
        return 'Вход';
    }

    public function getBreadcrumbs(): array
    {
        return [
            
        ];
    }

    
}